OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.BaseInstance

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetARBBaseInstance :: MonadIO m => m Bool
- gl_ARB_base_instance :: Bool
- glDrawArraysInstancedBaseInstance :: MonadIO m => GLenum -> GLint -> GLsizei -> GLsizei -> GLuint -> m ()
- glDrawElementsInstancedBaseInstance :: MonadIO m => GLenum -> GLsizei -> GLenum -> Ptr a -> GLsizei -> GLuint -> m ()
- glDrawElementsInstancedBaseVertexBaseInstance :: MonadIO m => GLenum -> GLsizei -> GLenum -> Ptr a -> GLsizei -> GLint -> GLuint -> m ()

# Extension Support

glGetARBBaseInstance :: MonadIO m => m Bool Source #

Is the ARB_base_instance extension supported?

gl_ARB_base_instance :: Bool Source #

Is the ARB_base_instance extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBBaseInstance` in those cases instead.

# Functions

glDrawArraysInstancedBaseInstance Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLint | `first`.
-> GLsizei | `count`.
-> GLsizei | `instancecount`.
-> GLuint | `baseinstance`.
-> m () |

Manual page for OpenGL 4.x.

glDrawElementsInstancedBaseInstance Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> GLenum | `type` of type PrimitiveType.
-> Ptr a | `indices` pointing to `count` elements of type `a`.
-> GLsizei | `instancecount`.
-> GLuint | `baseinstance`.
-> m () |

Manual page for OpenGL 4.x.

glDrawElementsInstancedBaseVertexBaseInstance Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indices` pointing to `count` elements of type `a`.
-> GLsizei | `instancecount`.
-> GLint | `basevertex`.
-> GLuint | `baseinstance`.
-> m () |

Manual page for OpenGL 4.x.